Page MenuHomePhabricator

Tests for D112754
ClosedPublic

Authored by MatzeB on Nov 3 2021, 4:24 PM.

Details

Summary

Pre-committing tests so the difference in codegen is more obvious.

Diff Detail

Unit TestsFailed

TimeTest
1,710 msx64 debian > libomp.tasking::kmp_taskwait_depend_all.c
Script: -- : 'RUN: at line 1'; /var/lib/buildkite-agent/builds/llvm-project/build/./bin/clang -fopenmp -pthread -fno-experimental-isel -I /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/src -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test -L /var/lib/buildkite-agent/builds/llvm-project/build/lib -I /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/ompt /var/lib/buildkite-agent/builds/llvm-project/openmp/runtime/test/tasking/kmp_taskwait_depend_all.c -o /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/tasking/Output/kmp_taskwait_depend_all.c.tmp -lm -latomic && /var/lib/buildkite-agent/builds/llvm-project/build/projects/openmp/runtime/test/tasking/Output/kmp_taskwait_depend_all.c.tmp

Event Timeline

MatzeB created this revision.Nov 3 2021, 4:24 PM
MatzeB requested review of this revision.Nov 3 2021, 4:24 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 3 2021, 4:24 PM
RKSimon added inline comments.Nov 4 2021, 5:50 AM
llvm/test/CodeGen/X86/fold-masked-merge.ll
4
; RUN: llc -o - %s -mtriple=x86_64-- | FileCheck %s --check-prefixes=CHECK,NOBMI
; RUN: llc -o - %s -mtriple=x86_64-- -mattr=+bmi | FileCheck %s --check-prefixes=CHECK,BMI
MatzeB updated this revision to Diff 389271.Nov 23 2021, 11:26 AM
MatzeB marked an inline comment as done.
RKSimon accepted this revision.Nov 24 2021, 3:37 AM

LGTM - might be worth adding a i16 test case as well to check that promotion is working.

This revision is now accepted and ready to land.Nov 24 2021, 3:37 AM

might be worth adding a i16 test case as well to check that promotion is working.

The @masked_merge1 testcase is already using i16.

This revision was landed with ongoing or failed builds.Nov 29 2021, 4:09 PM
Closed by commit rG53dfa5254683: Tests for D112754 (authored by MatzeB). · Explain Why
This revision was automatically updated to reflect the committed changes.